Subject: bug#6248: 23.1; justify (esc q) broken in Latex mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 24 May 2010 22:43:00 -0400

>> > Repeat the steps using instead a suffix of .tex (latex mode); this time
>> > you instead obtain the following incorrect result:
>> >
>> >     This is a sample paragraph of text that is long enough that it may
>> >     need to be filled.  Here's a second sentence to continue the
>> >     paragraph.  And one more sentence for good measure.
>> 
>> > Justify in latex mode worked correctly in Emacs 21, but does not work
>> > correctly in 22 or 23.  Please fix.
>> 
>> It's not a bug, it's a feature.  The change is because Emacs-21 did not
>> offer indentation for LaTeX, whereas Emacs>=22 does.
>> To get the behavior you want, you'll want to set
>> fill-indent-according-to-mode, e.g.
>> 
>> (add-hook 'latex-mode-hook
>> (lambda ()
>> (set (make-local-variable 'fill-indent-according-to-mode) nil)))

>     While that workaround does work, I'm still not convinced this isn't
> a bug.  Why is this broken behavior a feature?  

It's a feature if you consider LaTeX as code rather than as text, so you
want the text parts of the LaTeX code to be properly indented, like
any other.

        Stefan